cURL
curl --request GET \
--url https://app.talvin.ai/api/v1/interviews/{interview_id} \
--header 'X-TALVIN-API-KEY: <api-key>' \
--header 'X-TALVIN-ORGANIZATION-ID: <api-key>'import requests
url = "https://app.talvin.ai/api/v1/interviews/{interview_id}"
headers = {
"X-TALVIN-API-KEY": "<api-key>",
"X-TALVIN-ORGANIZATION-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-TALVIN-API-KEY': '<api-key>', 'X-TALVIN-ORGANIZATION-ID': '<api-key>'}
};
fetch('https://app.talvin.ai/api/v1/interviews/{interview_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"question_count": 123,
"time_duration": "<string>",
"questions": [
{
"id": "<string>",
"question": "<string>",
"follow_up_count": 123
}
],
"description": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Interviews
Get Interview by ID
Returns a specific interview by ID
GET
/
interviews
/
{interview_id}
cURL
Path Parameters
Unique identifier of the interview to retrieve
Response
Interview details
Unique identifier for the interview
Name of the interview
Number of questions in the interview
Time duration for the interview in minutes
List of questions in the interview
Show child attributes
Show child attributes
Description of the interview
